<?php

namespace EventPortal\Tests\Feature\Admin\Team;

use A;
use EventPortal\Domain\Admin\Models\Admin;
use EventPortal\Tests\Support\Traits\SeedRolesAndPermissions;
use EventPortal\Tests\TestCase;
use Illuminate\Foundation\Testing\RefreshDatabase;

class UserDeleteTest extends TestCase
{
    use RefreshDatabase, SeedRolesAndPermissions;

    /** @test */
    public function a_user_can_be_deleted()
    {
        $admin = factory(Admin::class)->create();
        $user = $admin->user;

        $this
            ->actingAsSuperAdmin()
            ->followingRedirects()
            ->post(route('admin.user.delete', $admin))
            ->assertOk();

        $this->assertNull($user->fresh());
        $this->assertNull($admin->fresh());
    }
}
